Index: /extensions/see_photos_by_user/admin.php
===================================================================
--- /extensions/see_photos_by_user/admin.php	(revision 30402)
+++ /extensions/see_photos_by_user/admin.php	(revision 30403)
@@ -1,6 +1,8 @@
 <?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+if (!defined('PHPWG_ROOT_PATH'))
+    die('Hacking attempt!');
 global $template, $conf, $user;
-include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
+include_once(PHPWG_ROOT_PATH . 'admin/include/tabsheet.class.php');
 load_language('plugin.lang', SPBA_PATH);
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
@@ -14,78 +16,83 @@
 
 $template->assign(
-  array(
-    'SPBU1' => $conf['see_photos_by_user_nbphotos'],
-	'SPBU2' => $conf['see_photos_by_user_limit'],
-	'SPBU3' => $conf['see_photos_by_user_order'],
-	'SPBU4' => $conf['see_photos_by_user_show'],
-    )
-  );
-  
+        array(
+            'SPBU1' => $conf['see_photos_by_user_nbphotos'],
+            'SPBU2' => $conf['see_photos_by_user_limit'],
+            'SPBU3' => $conf['see_photos_by_user_order'],
+            'SPBU4' => $conf['see_photos_by_user_show'],
+            'SPBU5' => $conf['see_photos_by_user_color'],
+            'SPBA_PATH2'=> get_root_url() . SPBA_PATH,
+        )
+);
+
 $SPBU3T = array(
     l10n('users in alphabetical order'),
     l10n('users by reverse alphabetical order'),
     l10n('by increasing number of photos'),
-	l10n('by decreasing number of photos'),
-  );
-  
+    l10n('by decreasing number of photos'),
+);
+
 $SPBU3 = array(
     'username ASC',
     'username DESC',
     'PBU ASC',
-	'PBU DSC',
-  );
+    'PBU DESC',
+);
 
 $template->assign('spbu', $SPBU3);
-$template->assign('spbuT', $SPBU3T); 
+$template->assign('spbuT', $SPBU3T);
 
 $SPBU3T2 = array(
-    l10n('link Specials menu')." - ".l10n('select users box'),
-    l10n('bloc menu users')." - ".l10n('select users box'),
-    l10n('link Specials menu')." - ".l10n('select users box')." - ".l10n('bloc menu users'),
-	l10n('bloc menu users'),
-	l10n('select users box'),
-	l10n('nothing'),
-  );
-  
+    l10n('link Specials menu') . " - " . l10n('select users box'),
+    l10n('bloc menu users') . " - " . l10n('select users box'),
+    l10n('link Specials menu') . " - " . l10n('select users box') . " - " . l10n('bloc menu users'),
+    l10n('bloc menu users'),
+    l10n('select users box'),
+    l10n('nothing'),
+);
+
 $SPBU32 = array(
     '1',
     '2',
     '3',
-	'4',
-	'5',
-	'6',
-  );
+    '4',
+    '5',
+    '6',
+);
 
 $template->assign('spbu2', $SPBU32);
-$template->assign('spbuT2', $SPBU3T2); 
+$template->assign('spbuT2', $SPBU3T2);
 
-if (isset($_POST['submitspbu']))
-{
-if (is_numeric($_POST['insspbu1'])) 
-{conf_update_param('see_photos_by_user_nbphotos', $_POST['insspbu1']);}
-else
-{array_push( $page['errors'], l10n('Maximal number users is incorrect !'));}
-if (is_numeric($_POST['insspbu2'])) 
-conf_update_param('see_photos_by_user_limit', $_POST['insspbu2']);
-else
-{array_push( $page['errors'], l10n('Minimal number photos for show users is incorrect !'));}
-conf_update_param('see_photos_by_user_order', $_POST['insspbu3']);
-conf_update_param('see_photos_by_user_show', $_POST['insspbu4']);
+if (isset($_POST['submitspbu'])) {
+    if (is_numeric($_POST['insspbu1'])) {
+        conf_update_param('see_photos_by_user_nbphotos', $_POST['insspbu1']);
+    } else {
+        array_push($page['errors'], l10n('Maximal number users is incorrect !'));
+    }
+    if (is_numeric($_POST['insspbu2']))
+        conf_update_param('see_photos_by_user_limit', $_POST['insspbu2']);
+    else {
+        array_push($page['errors'], l10n('Minimal number photos for show users is incorrect !'));
+    }
+    conf_update_param('see_photos_by_user_order', $_POST['insspbu3']);
+    conf_update_param('see_photos_by_user_show', $_POST['insspbu4']);
+    conf_update_param('see_photos_by_user_color', $_POST['insspbu5']);
 
-if (!$page['errors'])
-{array_push( $page['infos'], l10n('Update Complete') );}
-  
-$template->assign(
-    array(
-      'SPBU1' => stripslashes($_POST['insspbu1']),
-	  'SPBU2' => stripslashes($_POST['insspbu2']),
-	  'SPBU3' => stripslashes($_POST['insspbu3']),
-	  'SPBU4' => stripslashes($_POST['insspbu4']),
-      )
+    if (!$page['errors']) {
+        array_push($page['infos'], l10n('Update Complete'));
+    }
+
+    $template->assign(
+            array(
+                'SPBU1' => stripslashes($_POST['insspbu1']),
+                'SPBU2' => stripslashes($_POST['insspbu2']),
+                'SPBU3' => stripslashes($_POST['insspbu3']),
+                'SPBU4' => stripslashes($_POST['insspbu4']),
+                'SPBU5' => stripslashes($_POST['insspbu5']),
+            )
     );
-
 }
 
-$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
+$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl'));
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 ?>
Index: /extensions/see_photos_by_user/admin.tpl
===================================================================
--- /extensions/see_photos_by_user/admin.tpl	(revision 30402)
+++ /extensions/see_photos_by_user/admin.tpl	(revision 30403)
@@ -1,25 +1,40 @@
+{combine_script id="farbtastic" load='footer' require="jquery" path=$SPBA_PATH2|@cat:"js/farbtastic/farbtastic.js"}
+{combine_css path=$SPBA_PATH2|@cat:"js/farbtastic/farbtastic.css"}
+{footer_script}
+// init colorpicker
+jQuery('#colorpicker').farbtastic('#hexval');
+{/footer_script}
+
 <div class="titrePage">
-  <h2>{'See photos by user'|@translate}</h2>
+    <h2>{'See photos by user'|@translate}</h2>
 </div>
 
 <form method="post">
- <p>
-  <strong>{'Minimal number photos for show users'|@translate}</strong> 
-  <input type="text" name="insspbu1" value="{$SPBU1}" size="10" maxlength="10">
- </p>
- <p>
-  <strong>{'Maximal number users'|@translate}</strong> 
-  <input type="text" name="insspbu2" value="{$SPBU2}" size="10" maxlength="10">
- </p>
- <p>
-  <strong>{'Users order'|@translate}</strong> 
-  {html_options name="insspbu3" values=$spbu output=$spbuT selected="{$SPBU3}"}
- </p>
- <p>
-  <strong>{'Show'|@translate}</strong> 
-  {html_options name="insspbu4" values=$spbu2 output=$spbuT2 selected="{$SPBU4}"}
- </p>
-  <p>
-    <input class="submit" type="submit" name="submitspbu" value="{'Submit'|@translate}">
-  </p>
+    <p>
+        <strong>{'Minimal number photos for show users'|@translate}</strong> 
+        <input type="text" name="insspbu1" value="{$SPBU1}" size="10" maxlength="10">
+    </p>
+    <p>
+        <strong>{'Maximal number users'|@translate}</strong> 
+        <input type="text" name="insspbu2" value="{$SPBU2}" size="10" maxlength="10">
+    </p>
+    <p>
+        <strong>{'Users order'|@translate}</strong> 
+        {html_options name="insspbu3" values=$spbu output=$spbuT selected="{$SPBU3}"}
+    </p>
+    <p>
+        <strong>{'Show'|@translate}</strong> 
+        {html_options name="insspbu4" values=$spbu2 output=$spbuT2 selected="{$SPBU4}"}
+    </p>
+    <p>
+        <span id="colorpicker"></span>
+        <input type="text" id="hexval" readonly title='{'You must use colorpicker'|@translate}' name="insspbu5" value="{$SPBU5}" size="7" maxlength="7">
+    </p>
+    
+    <p>
+        <input class="submit" type="submit" name="submitspbu" value="{'Submit'|@translate}">
+    </p>
 </form>
+    
+
+
Index: /extensions/see_photos_by_user/include/function.see.inc.php
===================================================================
--- /extensions/see_photos_by_user/include/function.see.inc.php	(revision 30403)
+++ /extensions/see_photos_by_user/include/function.see.inc.php	(revision 30403)
@@ -0,0 +1,42 @@
+<?php 
+
+function see_username($id_user){
+$query = '
+    SELECT id, username
+    FROM ' . USERS_TABLE . '
+    WHERE id = \'' . $id_user . '\'
+    ;';
+        $result = pwg_query($query);
+        $row = pwg_db_fetch_assoc($result);
+        $username = str_replace(' ','_',$row['username']);
+
+return $username;
+}
+
+function see_userlist_nb_photo(){
+    global $conf;
+            $query = '
+SELECT UT.id, UT.username, COUNT(DISTINCT(IT.id)) AS PBU
+ FROM ' . USERS_TABLE . ' as UT
+ INNER JOIN ' . IMAGES_TABLE . ' AS IT ON IT.added_by = UT.id
+ INNER JOIN ' . IMAGE_CATEGORY_TABLE . ' AS ic ON IT.id = ic.image_id
+  ' . get_sql_condition_FandF
+                        (
+                        array
+                    (
+                    'forbidden_categories' => 'category_id',
+                    'visible_categories' => 'category_id',
+                    'visible_images' => 'id'
+                        ), 'WHERE'
+                ) . '
+ GROUP BY IT.added_by
+ HAVING PBU >' . $conf['see_photos_by_user_nbphotos'] . '
+ ORDER BY ' . $conf['see_photos_by_user_order'] . '
+ LIMIT ' . $conf['see_photos_by_user_limit'] . ';';
+
+        $result = pwg_query($query);
+
+    return $result;
+}
+
+?>
Index: /extensions/see_photos_by_user/js/farbtastic/farbtastic.js
===================================================================
--- /extensions/see_photos_by_user/js/farbtastic/farbtastic.js	(revision 30403)
+++ /extensions/see_photos_by_user/js/farbtastic/farbtastic.js	(revision 30403)
@@ -0,0 +1,329 @@
+// $Id: farbtastic.js,v 1.2 2007/01/08 22:53:01 unconed Exp $
+// Farbtastic 1.2
+
+jQuery.fn.farbtastic = function (callback) {
+  $.farbtastic(this, callback);
+  return this;
+};
+
+jQuery.farbtastic = function (container, callback) {
+  var container = $(container).get(0);
+  return container.farbtastic || (container.farbtastic = new jQuery._farbtastic(container, callback));
+}
+
+jQuery._farbtastic = function (container, callback) {
+  // Store farbtastic object
+  var fb = this;
+
+  // Insert markup
+  $(container).html('<div class="farbtastic"><div class="color"></div><div class="wheel"></div><div class="overlay"></div><div class="h-marker marker"></div><div class="sl-marker marker"></div></div>');
+  var e = $('.farbtastic', container);
+  fb.wheel = $('.wheel', container).get(0);
+  // Dimensions
+  fb.radius = 84;
+  fb.square = 100;
+  fb.width = 194;
+
+  // Fix background PNGs in IE6
+  if (navigator.appVersion.match(/MSIE [0-6]\./)) {
+    $('*', e).each(function () {
+      if (this.currentStyle.backgroundImage != 'none') {
+        var image = this.currentStyle.backgroundImage;
+        image = this.currentStyle.backgroundImage.substring(5, image.length - 2);
+        $(this).css({
+          'backgroundImage': 'none',
+          'filter': "progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=crop, src='" + image + "')"
+        });
+      }
+    });
+  }
+
+  /**
+   * Link to the given element(s) or callback.
+   */
+  fb.linkTo = function (callback) {
+    // Unbind previous nodes
+    if (typeof fb.callback == 'object') {
+      $(fb.callback).unbind('keyup', fb.updateValue);
+    }
+
+    // Reset color
+    fb.color = null;
+
+    // Bind callback or elements
+    if (typeof callback == 'function') {
+      fb.callback = callback;
+    }
+    else if (typeof callback == 'object' || typeof callback == 'string') {
+      fb.callback = $(callback);
+      fb.callback.bind('keyup', fb.updateValue);
+      if (fb.callback.get(0).value) {
+        fb.setColor(fb.callback.get(0).value);
+      }
+    }
+    return this;
+  }
+  fb.updateValue = function (event) {
+    if (this.value && this.value != fb.color) {
+      fb.setColor(this.value);
+    }
+  }
+
+  /**
+   * Change color with HTML syntax #123456
+   */
+  fb.setColor = function (color) {
+    var unpack = fb.unpack(color);
+    if (fb.color != color && unpack) {
+      fb.color = color;
+      fb.rgb = unpack;
+      fb.hsl = fb.RGBToHSL(fb.rgb);
+      fb.updateDisplay();
+    }
+    return this;
+  }
+
+  /**
+   * Change color with HSL triplet [0..1, 0..1, 0..1]
+   */
+  fb.setHSL = function (hsl) {
+    fb.hsl = hsl;
+    fb.rgb = fb.HSLToRGB(hsl);
+    fb.color = fb.pack(fb.rgb);
+    fb.updateDisplay();
+    return this;
+  }
+
+  /////////////////////////////////////////////////////
+
+  /**
+   * Retrieve the coordinates of the given event relative to the center
+   * of the widget.
+   */
+  fb.widgetCoords = function (event) {
+    var x, y;
+    var el = event.target || event.srcElement;
+    var reference = fb.wheel;
+
+    if (typeof event.offsetX != 'undefined') {
+      // Use offset coordinates and find common offsetParent
+      var pos = { x: event.offsetX, y: event.offsetY };
+
+      // Send the coordinates upwards through the offsetParent chain.
+      var e = el;
+      while (e) {
+        e.mouseX = pos.x;
+        e.mouseY = pos.y;
+        pos.x += e.offsetLeft;
+        pos.y += e.offsetTop;
+        e = e.offsetParent;
+      }
+
+      // Look for the coordinates starting from the wheel widget.
+      var e = reference;
+      var offset = { x: 0, y: 0 }
+      while (e) {
+        if (typeof e.mouseX != 'undefined') {
+          x = e.mouseX - offset.x;
+          y = e.mouseY - offset.y;
+          break;
+        }
+        offset.x += e.offsetLeft;
+        offset.y += e.offsetTop;
+        e = e.offsetParent;
+      }
+
+      // Reset stored coordinates
+      e = el;
+      while (e) {
+        e.mouseX = undefined;
+        e.mouseY = undefined;
+        e = e.offsetParent;
+      }
+    }
+    else {
+      // Use absolute coordinates
+      var pos = fb.absolutePosition(reference);
+      x = (event.pageX || 0*(event.clientX + $('html').get(0).scrollLeft)) - pos.x;
+      y = (event.pageY || 0*(event.clientY + $('html').get(0).scrollTop)) - pos.y;
+    }
+    // Subtract distance to middle
+    return { x: x - fb.width / 2, y: y - fb.width / 2 };
+  }
+
+  /**
+   * Mousedown handler
+   */
+  fb.mousedown = function (event) {
+    // Capture mouse
+    if (!document.dragging) {
+      $(document).bind('mousemove', fb.mousemove).bind('mouseup', fb.mouseup);
+      document.dragging = true;
+    }
+
+    // Check which area is being dragged
+    var pos = fb.widgetCoords(event);
+    fb.circleDrag = Math.max(Math.abs(pos.x), Math.abs(pos.y)) * 2 > fb.square;
+
+    // Process
+    fb.mousemove(event);
+    return false;
+  }
+
+  /**
+   * Mousemove handler
+   */
+  fb.mousemove = function (event) {
+    // Get coordinates relative to color picker center
+    var pos = fb.widgetCoords(event);
+
+    // Set new HSL parameters
+    if (fb.circleDrag) {
+      var hue = Math.atan2(pos.x, -pos.y) / 6.28;
+      if (hue < 0) hue += 1;
+      fb.setHSL([hue, fb.hsl[1], fb.hsl[2]]);
+    }
+    else {
+      var sat = Math.max(0, Math.min(1, -(pos.x / fb.square) + .5));
+      var lum = Math.max(0, Math.min(1, -(pos.y / fb.square) + .5));
+      fb.setHSL([fb.hsl[0], sat, lum]);
+    }
+    return false;
+  }
+
+  /**
+   * Mouseup handler
+   */
+  fb.mouseup = function () {
+    // Uncapture mouse
+    $(document).unbind('mousemove', fb.mousemove);
+    $(document).unbind('mouseup', fb.mouseup);
+    document.dragging = false;
+  }
+
+  /**
+   * Update the markers and styles
+   */
+  fb.updateDisplay = function () {
+    // Markers
+    var angle = fb.hsl[0] * 6.28;
+    $('.h-marker', e).css({
+      left: Math.round(Math.sin(angle) * fb.radius + fb.width / 2) + 'px',
+      top: Math.round(-Math.cos(angle) * fb.radius + fb.width / 2) + 'px'
+    });
+
+    $('.sl-marker', e).css({
+      left: Math.round(fb.square * (.5 - fb.hsl[1]) + fb.width / 2) + 'px',
+      top: Math.round(fb.square * (.5 - fb.hsl[2]) + fb.width / 2) + 'px'
+    });
+
+    // Saturation/Luminance gradient
+    $('.color', e).css('backgroundColor', fb.pack(fb.HSLToRGB([fb.hsl[0], 1, 0.5])));
+
+    // Linked elements or callback
+    if (typeof fb.callback == 'object') {
+      // Set background/foreground color
+      $(fb.callback).css({
+        backgroundColor: fb.color,
+        color: fb.hsl[2] > 0.5 ? '#000' : '#fff'
+      });
+
+      // Change linked value
+      $(fb.callback).each(function() {
+        if (this.value && this.value != fb.color) {
+          this.value = fb.color;
+        }
+      });
+    }
+    else if (typeof fb.callback == 'function') {
+      fb.callback.call(fb, fb.color);
+    }
+  }
+
+  /**
+   * Get absolute position of element
+   */
+  fb.absolutePosition = function (el) {
+    var r = { x: el.offsetLeft, y: el.offsetTop };
+    // Resolve relative to offsetParent
+    if (el.offsetParent) {
+      var tmp = fb.absolutePosition(el.offsetParent);
+      r.x += tmp.x;
+      r.y += tmp.y;
+    }
+    return r;
+  };
+
+  /* Various color utility functions */
+  fb.pack = function (rgb) {
+    var r = Math.round(rgb[0] * 255);
+    var g = Math.round(rgb[1] * 255);
+    var b = Math.round(rgb[2] * 255);
+    return '#' + (r < 16 ? '0' : '') + r.toString(16) +
+           (g < 16 ? '0' : '') + g.toString(16) +
+           (b < 16 ? '0' : '') + b.toString(16);
+  }
+
+  fb.unpack = function (color) {
+    if (color.length == 7) {
+      return [parseInt('0x' + color.substring(1, 3)) / 255,
+        parseInt('0x' + color.substring(3, 5)) / 255,
+        parseInt('0x' + color.substring(5, 7)) / 255];
+    }
+    else if (color.length == 4) {
+      return [parseInt('0x' + color.substring(1, 2)) / 15,
+        parseInt('0x' + color.substring(2, 3)) / 15,
+        parseInt('0x' + color.substring(3, 4)) / 15];
+    }
+  }
+
+  fb.HSLToRGB = function (hsl) {
+    var m1, m2, r, g, b;
+    var h = hsl[0], s = hsl[1], l = hsl[2];
+    m2 = (l <= 0.5) ? l * (s + 1) : l + s - l*s;
+    m1 = l * 2 - m2;
+    return [this.hueToRGB(m1, m2, h+0.33333),
+        this.hueToRGB(m1, m2, h),
+        this.hueToRGB(m1, m2, h-0.33333)];
+  }
+
+  fb.hueToRGB = function (m1, m2, h) {
+    h = (h < 0) ? h + 1 : ((h > 1) ? h - 1 : h);
+    if (h * 6 < 1) return m1 + (m2 - m1) * h * 6;
+    if (h * 2 < 1) return m2;
+    if (h * 3 < 2) return m1 + (m2 - m1) * (0.66666 - h) * 6;
+    return m1;
+  }
+
+  fb.RGBToHSL = function (rgb) {
+    var min, max, delta, h, s, l;
+    var r = rgb[0], g = rgb[1], b = rgb[2];
+    min = Math.min(r, Math.min(g, b));
+    max = Math.max(r, Math.max(g, b));
+    delta = max - min;
+    l = (min + max) / 2;
+    s = 0;
+    if (l > 0 && l < 1) {
+      s = delta / (l < 0.5 ? (2 * l) : (2 - 2 * l));
+    }
+    h = 0;
+    if (delta > 0) {
+      if (max == r && max != g) h += (g - b) / delta;
+      if (max == g && max != b) h += (2 + (b - r) / delta);
+      if (max == b && max != r) h += (4 + (r - g) / delta);
+      h /= 6;
+    }
+    return [h, s, l];
+  }
+
+  // Install mousedown handler (the others are set on the document on-demand)
+  $('*', e).mousedown(fb.mousedown);
+
+    // Init color
+  fb.setColor('#000000');
+
+  // Set linked elements/callback
+  if (callback) {
+    fb.linkTo(callback);
+  }
+}
Index: /extensions/see_photos_by_user/js/farbtastic/index.php
===================================================================
--- /extensions/see_photos_by_user/js/farbtastic/index.php	(revision 30403)
+++ /extensions/see_photos_by_user/js/farbtastic/index.php	(revision 30403)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/see_photos_by_user/js/see.js
===================================================================
--- /extensions/see_photos_by_user/js/see.js	(revision 30403)
+++ /extensions/see_photos_by_user/js/see.js	(revision 30403)
@@ -0,0 +1,39 @@
+$(function(){
+ 
+var textcolor;
+var outline;
+$('.seepbu').each(function(){
+    
+    /*var weight = $(this).data('weight');
+    if(weight>5){$(this).parent().addClass('color1').css('color:red !important')
+    textcolor = '#ffffff';
+    outline ='#ffffff';
+    }else{
+    textcolor = 'red';
+    outline ='#ffffff';
+    }*/
+    
+    var color = $(this).data('color');
+    console.log(color);
+    textcolor = color;
+    outline =color;
+    
+});
+ 
+if( ! $('#myCanvas').tagcanvas({
+    textColour: textcolor,
+    outlineColour: outline,
+    outlineThickness : 1,
+    textHeight: 16,
+    maxSpeed : 0.05,
+    depth : 0.75
+    //dragControl:true,
+    //shape: "sphere"
+  })) {
+    // TagCanvas failed to load
+    $('#myCanvasContainer').hide();
+  }
+});
+
+
+
Index: /extensions/see_photos_by_user/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/see_photos_by_user/language/en_UK/plugin.lang.php	(revision 30402)
+++ /extensions/see_photos_by_user/language/en_UK/plugin.lang.php	(revision 30403)
@@ -18,3 +18,4 @@
 $lang['Show'] = 'Show';
 $lang['Photos by user'] = 'Photos by user';
+$lang['You must use colorpicker'] = 'You must use colorpicker';
 ?>
Index: /extensions/see_photos_by_user/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/see_photos_by_user/language/fr_FR/plugin.lang.php	(revision 30402)
+++ /extensions/see_photos_by_user/language/fr_FR/plugin.lang.php	(revision 30403)
@@ -18,3 +18,4 @@
 $lang['Show'] = 'Montrer';
 $lang['Photos by user'] = 'Photos par utilisateur';
+$lang['You must use colorpicker'] = 'Vous devez utiliser le colorpicker';
 ?>
Index: /extensions/see_photos_by_user/main.inc.php
===================================================================
--- /extensions/see_photos_by_user/main.inc.php	(revision 30402)
+++ /extensions/see_photos_by_user/main.inc.php	(revision 30403)
@@ -1,171 +1,147 @@
 <?php
+
 /*
-Plugin Name: See photos by user
-Version: auto
-Description: See photos by user
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=723
-Author: ddtddt
-Author URI: 
-*/
+  Plugin Name: See photos by user
+  Version: auto
+  Description: See photos by user
+  Plugin URI: http://piwigo.org/ext/extension_view.php?eid=723
+  Author: ddtddt
+  Author URI:
+ */
 
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!defined('PHPWG_ROOT_PATH'))
+    die('Hacking attempt!');
 
-define('SPBA_DIR' , basename(dirname(__FILE__)));
-define('SPBA_PATH' , PHPWG_PLUGINS_PATH . SPBA_DIR . '/');
+define('SPBA_DIR', basename(dirname(__FILE__)));
+define('SPBA_PATH', PHPWG_PLUGINS_PATH . SPBA_DIR . '/');
 load_language('plugin.lang', SPBA_PATH);
+
+include_once(SPBA_PATH . 'include/function.see.inc.php');
 
 global $conf;
 $showSPBU = $conf['see_photos_by_user_show'];
 
-if (in_array($showSPBU, array(1,3)))
-{
-add_event_handler('blockmanager_apply' , 'add_link_SPBA');
+/*init plugin - filter http*/
+add_event_handler('loc_end_section_init', 'section_init_SPBA');
+
+function section_init_SPBA() {
+    /*init plugin lang*/
+    load_language('plugin.lang', SPBA_PATH);
+    load_language('lang', PHPWG_ROOT_PATH . 'local/', array('no_fallback' => true, 'local' => true));
+    
+    global $tokens, $conf, $template;
+  if(strpbrk('user-', $_SERVER['REQUEST_URI'])!=false){
+    $testa = explode('user-', $_SERVER['REQUEST_URI']);
+    if(!empty($testa[1])){
+        $testd = explode('-', $testa[1]);
+            if(is_numeric($testd[0])){
+                $username= see_username($testd[0]);
+                $result=see_userlist_nb_photo();
+                $userok = array();
+                while ($row = pwg_db_fetch_assoc($result)) {
+                    $userok[] = $row['id'];
+                }
+                if (in_array($testd[0], $userok)) {
+                    $me = 'user-' . $testd[0].'-'.$username;
+                    $page['section_title'] = '<a href="' . get_absolute_root_url() . '">' . l10n('Home') . '</a>' . $conf['level_separator'] . '<a href="' . get_absolute_root_url() . 'index.php?/user-">' . l10n('Users').'</a>'. $conf['level_separator'] . '<a href="' . get_absolute_root_url() . 'index.php?/' . $me . '">'.$row['username'] . '</a>';
+                } else {
+                    $me = 'user-';
+                    $page['section_title'] = '<a href="' . get_absolute_root_url() . '">' . l10n('Home') . '</a>' . $conf['level_separator'] . '<a href="' . get_absolute_root_url() . 'index.php?/user-">' . l10n('Users').'</a>';
+                }
+            }else{
+                $me = 'user-';
+            }
+    }else{
+        $me = 'user-';
+    }
+    if(isset($me)){
+        if (in_array($me, $tokens))
+            include(SPBA_PATH . 'pagespba.php');
+    }
+  }
+  
+  //$template->assign('SPBA2', 'toto');
+  $template->set_filename('SPBA', realpath(SPBA_PATH . 'pagespba.tpl'));
+  $template->assign_var_from_handle('CONTENT', 'SPBA'); //2.6
+  
 }
-function add_link_SPBA($menu_ref_arr)
- {
-  global $conf, $user;
-  $menu = & $menu_ref_arr[0];
-  if (($block = $menu->get_block('mbSpecials')) != null)
-   {
-   load_language('plugin.lang', SPBA_PATH);
-   $position = (isset($conf['SPBA_position']) and is_numeric($conf['SPBA_position'])) ? $conf['SPBA_position'] : count($block->data)+1;
-   array_splice
-	 ($block->data, $position-1, 0, array
-	  ('user-' =>
-      array
-			 (
-			 'URL' => make_index_url(array('section' => 'user-')),
-			 'TITLE' => l10n('See photos by user'),
-			 'NAME' => l10n('See photos by user')
-       )
-    )
-   );
-   }
- }
-
-add_event_handler('loc_end_section_init', 'section_init_SPBA');
-function section_init_SPBA()
-{
- global $tokens, $conf;
-$testa = explode('user-', $_SERVER['REQUEST_URI']); 
-if (!empty ($testa[1]))
-{
-$testd= explode('/', $testa[1]);
-$query = '
-SELECT UT.id, UT.username, COUNT(DISTINCT(IT.id)) AS PBU, IT.id
- FROM ' . USERS_TABLE . ' as UT
- INNER JOIN '.IMAGES_TABLE.' AS IT ON IT.added_by = UT.id
- INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON IT.id = ic.image_id
-  '.get_sql_condition_FandF
-  (
-    array
-      (
-        'forbidden_categories' => 'category_id',
-        'visible_categories' => 'category_id',
-        'visible_images' => 'id'
-      ),
-    'WHERE'
-  ).'
- GROUP BY IT.added_by
- HAVING PBU >'.$conf['see_photos_by_user_nbphotos'].'
- ORDER BY '.$conf['see_photos_by_user_order'].'
- LIMIT '.$conf['see_photos_by_user_limit'].';';
-
-$result = pwg_query($query);
-$userok = array();
-while ($row = pwg_db_fetch_assoc($result))
- {
-  $userok[] = $row['username'];
+/*Schow link in menu*/
+if (in_array($showSPBU, array(1, 3))) {
+    add_event_handler('blockmanager_apply', 'add_link_SPBA');
 }
 
-if (in_array($testd[0], $userok))
-{
-$me = 'user-'.$testd[0];
-}
-else
-{
- $redirect_url = get_root_url().'index.php?/categories';
- redirect($redirect_url);
-}
-}
-else
-{$me = 'user-';}
-
-if (in_array($me, $tokens))
- include(SPBA_PATH . 'pagespba.php');
+function add_link_SPBA($menu_ref_arr) {
+    global $conf, $user;
+    $menu = & $menu_ref_arr[0];
+    if (($block = $menu->get_block('mbSpecials')) != null) {
+        load_language('plugin.lang', SPBA_PATH);
+        $position = (isset($conf['SPBA_position']) and is_numeric($conf['SPBA_position'])) ? $conf['SPBA_position'] : count($block->data) + 1;
+        array_splice
+                ($block->data, $position - 1, 0, array
+            ('user-' =>
+            array
+                (
+                'URL' => make_index_url(array('section' => 'user-')),
+                'TITLE' => l10n('See photos by user'),
+                'NAME' => l10n('See photos by user')
+            )
+                )
+        );
+    }
 }
 
-if (in_array($showSPBU, array(2,3,4)))
-{
-add_event_handler('blockmanager_register_blocks', 'register_users_menubar_blocks');
-add_event_handler('blockmanager_apply', 'users_apply');
-}
-function register_users_menubar_blocks( $menu_ref_arr )
-{
-  $menu = & $menu_ref_arr[0];
-  if ($menu->get_id() != 'menubar')
-    return;
-  $menu->register_block( new RegisteredBlock( 'mbUsers','Users',('See photos by user')));
+
+/*schow users menu*/
+if (in_array($showSPBU, array(2, 3, 4))) {
+    add_event_handler('blockmanager_register_blocks', 'register_users_menubar_blocks');
+    add_event_handler('blockmanager_apply', 'users_apply');
 }
 
-function users_apply($menu_ref_arr)
-{
-global $template, $conf, $user;
-$menu = & $menu_ref_arr[0];
-load_language('plugin.lang', SPBA_PATH);
-load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true));
-
-$userslistemenu1 = pwg_query('
-SELECT UT.id, UT.username, COUNT(DISTINCT(IT.id)) AS PBU, IT.id
- FROM ' . USERS_TABLE . ' as UT
- INNER JOIN '.IMAGES_TABLE.' AS IT ON IT.added_by = UT.id
- INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON IT.id = ic.image_id
-  '.get_sql_condition_FandF
-  (
-    array
-      (
-        'forbidden_categories' => 'category_id',
-        'visible_categories' => 'category_id',
-        'visible_images' => 'id'
-      ),
-    'WHERE'
-  ).'
- GROUP BY IT.added_by
- HAVING PBU >'.$conf['see_photos_by_user_nbphotos'].'
- ORDER BY '.$conf['see_photos_by_user_order'].'
- LIMIT '.$conf['see_photos_by_user_limit'].';');
-
-if (pwg_db_num_rows($userslistemenu1)) {	
- while ($userslistemenu = pwg_db_fetch_assoc($userslistemenu1))
-	{
-    $items = array(
-      'USERSSPBYL' => $userslistemenu['username'],
-	  'USERSSPBYLC' => $userslistemenu['PBU'],
-		);
-		
-	$template->append('userslistemenu1', $items);
-  	}
-}
-$linkusersliste = get_root_url().'index.php?/user-';
-$template->assign('USERSSPBY', $linkusersliste);
-   
- if (($block = $menu->get_block( 'mbUsers' )) != null) {
- $template->set_template_dir(SPBA_PATH);
- $block->template = 'menubar_users.tpl';}
+function register_users_menubar_blocks($menu_ref_arr) {
+    $menu = & $menu_ref_arr[0];
+    if ($menu->get_id() != 'menubar')
+        return;
+    $menu->register_block(new RegisteredBlock('mbUsers', 'Users', ('See photos by user')));
 }
 
+function users_apply($menu_ref_arr) {
+    global $template, $conf, $user;
+    $menu = & $menu_ref_arr[0];
+
+    $userslistemenu1 = see_userlist_nb_photo();
+
+    if (pwg_db_num_rows($userslistemenu1)) {
+        while ($userslistemenu = pwg_db_fetch_assoc($userslistemenu1)) {
+            $items = array(
+                'USERSSPBYLID' => $userslistemenu['id'],
+                'USERSSPBYL' => $userslistemenu['username'],
+                'USERSSPBYLC' => $userslistemenu['PBU'],
+            );
+
+            $template->append('userslistemenu1', $items);
+        }
+    }
+    $linkusersliste = get_root_url() . 'index.php?/user-';
+    $template->assign('USERSSPBY', $linkusersliste);
+
+    if (($block = $menu->get_block('mbUsers')) != null) {
+        $template->set_template_dir(SPBA_PATH);
+        $block->template = 'menubar_users.tpl';
+    }
+}
+
+/*Add admin menu*/
 add_event_handler('get_admin_plugin_menu_links', 'SPBA_admin_menu');
-function SPBA_admin_menu($menu)
-{
-load_language('plugin.lang', SPBA_PATH);
-  array_push(
-    $menu,
-    array(
-      'NAME' => l10n('Photos by user'),
-      'URL' => get_admin_plugin_menu_link(SPBA_PATH . 'admin.php')
-      )
+
+function SPBA_admin_menu($menu) {
+    load_language('plugin.lang', SPBA_PATH);
+    array_push(
+            $menu, array(
+        'NAME' => l10n('Photos by user'),
+        'URL' => get_admin_plugin_menu_link(SPBA_PATH . 'admin.php')
+            )
     );
-  
-  return $menu;
+
+    return $menu;
 }
 
